View Issue Details

IDProjectCategoryView StatusLast Update
0003792SymmetricDSBugpublic2019-04-23 11:14
ReportermmichalekAssigned Tommichalek 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.8.0 
Target Version3.9.19Fixed in Version3.9.19 
Summary0003792: Routing bottleneck on long routing runs
DescriptionMy understanding is that ChannelRouterContext HashSet was only there for logging/diagnostic purposes. Removing the transactions HashSet. Observed code hotspot in routing:

source-router-reader-1

java.util.HashMap.hash():338
java.util.HashMap.put():611
java.util.HashSet.add():219
org.jumpmind.symmetric.route.ChannelRouterContext.addTransaction():265
org.jumpmind.symmetric.route.DataGapRouteReader.execute():203
org.jumpmind.symmetric.route.DataGapRouteReader.run():129
java.util.concurrent.ThreadPoolExecutor.runWorker():1142
java.util.concurrent.ThreadPoolExecutor$Worker.run():617
java.lang.Thread.run():745
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.9 dbec4440

2019-04-04 14:18:25

mmichalek

Details Diff
003792: Routing bottleneck on long routing runs
0003792
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/ChannelRouterContext.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/DataGapRouteReader.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RouterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/statistic/RouterStats.java Diff File

SymmetricDS: 3.10 a2d9f249

2019-04-04 14:18:25

mmichalek

Details Diff
003792: Routing bottleneck on long routing runs
0003792
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/ChannelRouterContext.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/DataGapRouteReader.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RouterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/statistic/RouterStats.java Diff File

SymmetricDS: 3.9 bbc95ccb

2019-04-15 13:40:19

mmichalek

Details Diff
0003792: Routing bottleneck on long routing runs (fix connection leak)
0003792
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/DataGapRouteReader.java Diff File

SymmetricDS: 3.10 1a05a3df

2019-04-15 13:40:19

mmichalek

Details Diff
0003792: Routing bottleneck on long routing runs (fix connection leak)
0003792
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/DataGapRouteReader.java Diff File

Issue History

Date Modified Username Field Change
2018-11-13 13:45 mmichalek New Issue
2018-11-13 13:45 mmichalek Status new => assigned
2018-11-13 13:45 mmichalek Assigned To => mmichalek
2018-11-28 13:23 mmichalek Target Version 3.8.41 =>
2019-04-04 14:20 mmichalek Description Updated View Revisions
2019-04-04 14:21 mmichalek Status assigned => resolved
2019-04-04 14:21 mmichalek Resolution open => fixed
2019-04-04 14:21 mmichalek Fixed in Version => 3.9.19
2019-04-04 14:21 mmichalek Target Version => 3.9.19
2019-04-04 15:00 mmichalek Changeset attached => SymmetricDS 3.9 dbec4440
2019-04-04 15:00 mmichalek Changeset attached => SymmetricDS 3.10 a2d9f249
2019-04-15 14:00 mmichalek Changeset attached => SymmetricDS 3.9 bbc95ccb
2019-04-15 14:00 mmichalek Changeset attached => SymmetricDS 3.10 1a05a3df
2019-04-23 11:14 elong Status resolved => closed